::: trix.layers.sharding.attention.multi_head_attention.ShardedMultiHeadAttention
::: trix.layers.sharding.attention.self_attention.ShardedSelfAttentionBlock
::: trix.layers.sharding.attention.cross_attention.ShardedCrossAttentionBlock
::: trix.layers.sharding.embeddings.embed.ReplicatedEmbed
::: trix.layers.sharding.heads.lm_head.ShardedLMHead
::: trix.layers.sharding.heads.lm_head.ShardedRobertaLMHead
::: trix.layers.sharding.linear.linear_and_p_sum.LinearAndPsum
::: trix.layers.sharding.linear.synchronous_linear.LinearLayerSynchronousInit
::: trix.layers.sharding.positional.learned.ReplicatedLearnedPositionalEmbeddings
::: trix.layers.sharding.regularization.norms.ReplicatedLayerNorm
::: trix.layers.sharding.regularization.norms.ReplicatedRMSNorm
::: trix.layers.sharding.synchronous_init.SynchronousInitializer
